RDKit: RDKit::RDTypeTag::detail::Value Union Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::RDTypeTag::detail::Value Union Reference

`#include <RDValue-taggedunion.h>`

## Public Member Functions
| Value ()
| Value (double v)
| Value (float v)
| Value (int v)
| Value (unsigned int v)
| Value (bool v)
| Value (std::string *v)
| Value (std::any *v)
| Value (std::vector< double > *v)
| Value (std::vector< float > *v)
| Value (std::vector< int > *v)
| Value (std::vector< unsigned int > *v)
| Value (std::vector< std::string > *v)

## Public Attributes
double | d
float | f
int | i
unsigned | u
bool | b
std::string * | s
std::any * | a
std::vector< double > * | vd
std::vector< float > * | vf
std::vector< int > * | vi
std::vector< unsigned int > * | vu
std::vector< std::string > * | vs

## Detailed Description

Definition at line 150 of file RDValue-taggedunion.h.

## Constructor & Destructor Documentation

## ◆ Value() [1/13]

RDKit::RDTypeTag::detail::Value::Value | ( |  | ) |
| inline

Definition at line 164 of file RDValue-taggedunion.h.

## ◆ Value() [2/13]

RDKit::RDTypeTag::detail::Value::Value | ( | double | v | ) |
| inline

Definition at line 165 of file RDValue-taggedunion.h.

References d.

## ◆ Value() [3/13]

RDKit::RDTypeTag::detail::Value::Value | ( | float | v | ) |
| inline

Definition at line 166 of file RDValue-taggedunion.h.

References f.

## ◆ Value() [4/13]

RDKit::RDTypeTag::detail::Value::Value | ( | int | v | ) |
| inline

Definition at line 167 of file RDValue-taggedunion.h.

References i.

## ◆ Value() [5/13]

RDKit::RDTypeTag::detail::Value::Value | ( | unsigned int | v | ) |
| inline

Definition at line 168 of file RDValue-taggedunion.h.

References u.

## ◆ Value() [6/13]

RDKit::RDTypeTag::detail::Value::Value | ( | bool | v | ) |
| inline

Definition at line 169 of file RDValue-taggedunion.h.

References b.

## ◆ Value() [7/13]

RDKit::RDTypeTag::detail::Value::Value | ( | std::string * | v | ) |
| inline

Definition at line 170 of file RDValue-taggedunion.h.

References s.

## ◆ Value() [8/13]

RDKit::RDTypeTag::detail::Value::Value | ( | std::any * | v | ) |
| inline

Definition at line 171 of file RDValue-taggedunion.h.

References a.

## ◆ Value() [9/13]

RDKit::RDTypeTag::detail::Value::Value | ( | std::vector< double > * | v | ) |
| inline

Definition at line 172 of file RDValue-taggedunion.h.

References vd.

## ◆ Value() [10/13]

RDKit::RDTypeTag::detail::Value::Value | ( | std::vector< float > * | v | ) |
| inline

Definition at line 173 of file RDValue-taggedunion.h.

References vf.

## ◆ Value() [11/13]

RDKit::RDTypeTag::detail::Value::Value | ( | std::vector< int > * | v | ) |
| inline

Definition at line 174 of file RDValue-taggedunion.h.

References vi.

## ◆ Value() [12/13]

RDKit::RDTypeTag::detail::Value::Value | ( | std::vector< unsigned int > * | v | ) |
| inline

Definition at line 175 of file RDValue-taggedunion.h.

References vu.

## ◆ Value() [13/13]

RDKit::RDTypeTag::detail::Value::Value | ( | std::vector< std::string > * | v | ) |
| inline

Definition at line 176 of file RDValue-taggedunion.h.

References vs.

## Member Data Documentation

## ◆ a

std::any* RDKit::RDTypeTag::detail::Value::a

Definition at line 157 of file RDValue-taggedunion.h.

Referenced by Value(), RDKit::RDTypeTag::detail::valuePtrCast(), and RDKit::RDTypeTag::detail::valuePtrCast< std::any >().

## ◆ b

bool RDKit::RDTypeTag::detail::Value::b

Definition at line 155 of file RDValue-taggedunion.h.

Referenced by RDKit::rdvalue_cast< bool >(), and Value().

## ◆ d

double RDKit::RDTypeTag::detail::Value::d

Definition at line 151 of file RDValue-taggedunion.h.

Referenced by RDKit::rdvalue_cast< double >(), RDKit::rdvalue_cast< float >(), and Value().

## ◆ f

float RDKit::RDTypeTag::detail::Value::f

Definition at line 152 of file RDValue-taggedunion.h.

Referenced by RDKit::rdvalue_cast< double >(), RDKit::rdvalue_cast< float >(), and Value().

## ◆ i

int RDKit::RDTypeTag::detail::Value::i

Definition at line 153 of file RDValue-taggedunion.h.

Referenced by RDKit::rdvalue_cast< int >(), RDKit::rdvalue_cast< std::int16_t >(), RDKit::rdvalue_cast< std::int64_t >(), RDKit::rdvalue_cast< std::int8_t >(), RDKit::rdvalue_cast< std::uint16_t >(), RDKit::rdvalue_cast< std::uint64_t >(), RDKit::rdvalue_cast< std::uint8_t >(), RDKit::rdvalue_cast< unsigned int >(), and Value().

## ◆ s

std::string* RDKit::RDTypeTag::detail::Value::s

Definition at line 156 of file RDValue-taggedunion.h.

Referenced by Value(), and RDKit::RDTypeTag::detail::valuePtrCast< std::string >().

## ◆ u

unsigned RDKit::RDTypeTag::detail::Value::u

Definition at line 154 of file RDValue-taggedunion.h.

Referenced by RDKit::rdvalue_cast< int >(), RDKit::rdvalue_cast< std::int16_t >(), RDKit::rdvalue_cast< std::int64_t >(), RDKit::rdvalue_cast< std::int8_t >(), RDKit::rdvalue_cast< std::uint16_t >(), RDKit::rdvalue_cast< std::uint64_t >(), RDKit::rdvalue_cast< std::uint8_t >(), RDKit::rdvalue_cast< unsigned int >(), and Value().

## ◆ vd

std::vector<double>* RDKit::RDTypeTag::detail::Value::vd

Definition at line 158 of file RDValue-taggedunion.h.

Referenced by Value().

## ◆ vf

std::vector<float>* RDKit::RDTypeTag::detail::Value::vf

Definition at line 159 of file RDValue-taggedunion.h.

Referenced by Value().

## ◆ vi

std::vector<int>* RDKit::RDTypeTag::detail::Value::vi

Definition at line 160 of file RDValue-taggedunion.h.

Referenced by Value().

## ◆ vs

std::vector<std::string>* RDKit::RDTypeTag::detail::Value::vs

Definition at line 162 of file RDValue-taggedunion.h.

Referenced by Value().

## ◆ vu

std::vector<unsigned int>* RDKit::RDTypeTag::detail::Value::vu

Definition at line 161 of file RDValue-taggedunion.h.

Referenced by Value().

The documentation for this union was generated from the following file:

- RDValue-taggedunion.h